Subject: Re: riscv defconfig CONFIG_PM/macb/generic PHY regression in v5.18-rc1

From: "Russell King (Oracle)" <[email-masked]>
Date: Tue, 5 Apr 2022 16:53:06 +0100

On Tue, Apr 05, 2022 at 01:05:12PM +0000, [email-masked] wrote:
> Hey,
> I seem to have come across a regression in the default riscv defconfig
> between riscv-for-linus-5.18-mw0 (bbde015227e8) & v5.18-rc1, exposed by
> c5179ef1ca0c ("RISC-V: Enable RISC-V SBI CPU Idle driver for QEMU virt
> machine") which causes the ethernet phy to not come up on my Icicle kit:
> [ 3.179864] macb 20112000.ethernet eth0: validation of sgmii with support 0000000,00000000,00006280 and advertisement 0000000,00000000,00004280 failed: -EINVAL
> [ 3.194490] macb 20112000.ethernet eth0: Could not attach PHY (-22)

I don't think that would be related to the idle driver. This looks like
the PHY hasn't filled in the supported mask at probe time - do you have
the driver for the PHY built-in or the PHY driver module loaded?

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!